#! /bin/bash

if [ -z "$1" ]; then
  echo "Missing branch name"
  exit 1
fi

git checkout master
git fetch upstream
git pull upstream master
git push origin master

git checkout -b $1
git push --set-upstream origin $1
